> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raslogonhours.md).

# Set-RASLogonHours.md

## NAME

Set-RASLogonHours

## SYNOPSIS

Modifies a logon hours rule.

## SYNTAX

**Set-RASLogonHours** \[[Id](#id-string)] *(uint)* \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[NewName](#newname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASLogonHours \[-[InputObject](#inputobject)] *(*[*LogonHours*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/logonhours.md)*)* \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[NewName](#newname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASLogonHours** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[NewName](#newname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies a logon hours rule.

## PARAMETERS

## Name (string)

The name of the target logon hours rule.

This must be the actual logon hours rule name used in the RAS Farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified logon hours rule.

If the parameter is omitted, the Site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the logon hours rule to modify.

To obtain the ID, use the Get-LogonHours cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([LogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/logonhours.md))

The logon hours rule to modify.

To obtain an object of type LogonHours representing a logon hours rule, use the Get-LogonHours cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable or disable the specified logon hours rule in a Site.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NewName (string)

The new name of the target logon hours rule.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

A user-defined LogonHours description.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[LogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/logonhours.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASLogonHours "My LogonHours" -Enabled $False

Disables the logon hours rule specified by name.\
\*\*---------- EXAMPLE 2 ----------

Set-RASLogonHours -Id 10 -Enabled $False

Disables the logon hours rule specified by ID.\
\*\*---------- EXAMPLE 3 ----------

Set-RASLogonHours $LogonHours -Enabled $False

Disables the logon hours rule specified by the $LogonHours variable (an object of type LogonHours).

## RELATED LINKS

* [New-RASLogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-raslogonhours.md)
* [Get-RASLogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raslogonhours.md)
* [Remove-RASLogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raslogonhours.md)
* [Set-RASLogonHoursOrder](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raslogonhoursorder.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raslogonhours.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
